"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Pattern for parsing rule parameters.
 */
const PARAMS_PATTERN = /^\s*('[^\\']*(?:\\.[^\\']*)*'|"[^\\"]*(?:\\.[^\\"]*)*")\s*$/;
/**
 * Parse rule parameters.
 *
 * @param params Parameters string.
 */
function parseParams(params) {
    const matches = PARAMS_PATTERN.exec(params);
    if (!matches) {
        throw new SyntaxError(`Incorrect parameters "${params}".`);
    }
    const uri = matches[1].slice(1, -1).replace(/\\(['"])/, '$1');
    if (!uri) {
        throw new URIError('Empty import path.');
    }
    return {
        uri,
    };
}
exports.default = parseParams;
//# sourceMappingURL=parseParams.js.map